EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerBlobs_DeleteBlob',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a blob.'
GO

IF OBJECT_ID('[DockerBlobs_DeleteBlob]') IS NOT NULL DROP PROCEDURE [DockerBlobs_DeleteBlob]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerBlobs_DeleteBlob]
(
	@Feed_Id INT,
	@Blob_Digest VARCHAR(128)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE
	  FROM [DockerBlobs]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Blob_Digest] = @Blob_Digest

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [DockerBlobs_DeleteBlob] TO [ProGetUser_Role]
GO