EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ProGetLicensingViolations_GetViolations',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ProGetLicensingViolations_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all licensing violations, optionally filtered by feed.'
GO

IF OBJECT_ID('[ProGetLicensingViolations_GetViolations]') IS NOT NULL DROP PROCEDURE [ProGetLicensingViolations_GetViolations]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ProGetLicensingViolations_GetViolations]
(
	@Feed_Id INT = NULL,
    @Violation_Count INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	IF @Violation_Count IS NOT NULL
        SET ROWCOUNT @Violation_Count

	SELECT *
	  FROM [ProGetLicensingViolations_Extended]
	 WHERE (@Feed_Id IS NULL OR [Feed_Id] = @Feed_Id)

END
GO

GRANT EXECUTE ON [ProGetLicensingViolations_GetViolations] TO [ProGetUser_Role]
GO