EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Security_GetUserPrivileges',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Privileges_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the list of privileges specifically assigned to a user or any specified groups.'
GO

IF OBJECT_ID('[Security_GetUserPrivileges]') IS NOT NULL DROP PROCEDURE [Security_GetUserPrivileges]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Security_GetUserPrivileges]
(
	@UserDirectory_Id INT,
	@User_Name USERNAME,
	@GroupNames_Csv NVARCHAR(MAX)
)
AS
BEGIN

	SET NOCOUNT ON

	/* Privileges */
	SELECT *
	  FROM [Privileges_Extended]
	 WHERE [UserDirectory_Id] = @UserDirectory_Id
	   AND (   ([Principal_Name] = @User_Name AND [PrincipalType_Code] = 'U') 
		    OR ([Principal_Name] IN (SELECT [Value_Text] FROM [CsvToTable](@GroupNames_Csv, ',') )
			    AND [PrincipalType_Code] = 'G' ) )

END
GO

GRANT EXECUTE ON [Security_GetUserPrivileges] TO [ProGetUser_Role]
GO
